commit:     45922396d24a5099bded6a27f5693ca36d2ba43b
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Wed Jul 23 16:00:40 2025 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Wed Jul 23 16:00:40 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=45922396

app-misc/fx: add 38.0.0

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 app-misc/fx/Manifest         |  2 ++
 app-misc/fx/fx-38.0.0.ebuild | 39 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 41 insertions(+)

diff --git a/app-misc/fx/Manifest b/app-misc/fx/Manifest
index fbb78e305e3e..5cb7c48df3e7 100644
--- a/app-misc/fx/Manifest
+++ b/app-misc/fx/Manifest
@@ -4,3 +4,5 @@ DIST fx-36.0.4-deps.tar.xz 14815020 BLAKE2B 
50e32ed0f447ae4c8d8e0d77e860d24fd8f9
 DIST fx-36.0.4.tar.gz 2686343 BLAKE2B 
77d0bd585fd14efba9afa7b09774e90967eaf7fb6f9f6e73191c4c920b9b8a8a8acc341391e869e0950154dcc09579715cb22520945c3edaf620f2e9e6470e06
 SHA512 
147f2ed00a99567963c66a3b080298e1000a8cee5573ba88b464a53dd50a310062dea860c416b9a6d4371012c0535eaec038c5b1c58f05044d16348d060b33ec
 DIST fx-37.0.0-deps.tar.xz 14819280 BLAKE2B 
2022ac355571e58ff73f06844261cb5a3deab4127a3c20528a454ade72f02eb41e19f87e97ecdfcdf13ac03fcda51f2bcad52a624e959ea3e4366665e6e9e52f
 SHA512 
1f56b43d015f56fd9b90faa5f90202d0dec5ce0682b14084e50726f66b70f5f44fd8aa5ad17d83c326b88d3fc58116b162a50277e5f9734df79190ca19918d6d
 DIST fx-37.0.0.tar.gz 2689370 BLAKE2B 
3b193ac5aefd048cb86298b41f39548f4503b2a36bc3596508d99eec5b4c6e5a7f7254b117a2ee046576a64e3868c251aa461b387fe74aa167b428f1951c8191
 SHA512 
fdbb77b859b82496aa0835c5ddadb3e6e770546cf9bf779dfe136ae527ba1f786a06c75eb742fac527bee790c8105491a044f1f0266acf5b57229edbb0e71a16
+DIST fx-38.0.0-deps.tar.xz 11602484 BLAKE2B 
fefb8968d867570bc006df5e4d4e7add80d18c7c98883711934daf275045c66976625e33b6917227cf8c9656a0eb24a295b6da36d5f120c325fc42651b214577
 SHA512 
62259bcda05586c38071c070e846f5ae9d49da943f5830f14ad548686d910b93cdbee8171aba1fe517eee133a95476bd9b75e9cbb61800545c5bbb7dc95aca68
+DIST fx-38.0.0.tar.gz 2689735 BLAKE2B 
1588b459a11617cd5ad2d1e44fb246cd836792d70d269602dd7c9b9b9a84bc992007a8965eb0456cd3b1c7af46fe8ab544542c9188d6375fd9b94f68c925fdc1
 SHA512 
fe306a25bf461c3e79fa0be4d1d88db70dc84d52aec57feb053ffbe1bbf556d9c5d7e420d73297b4443ed68e755dca24781d8f0c468dd9f8eed49aa4057c0437

diff --git a/app-misc/fx/fx-38.0.0.ebuild b/app-misc/fx/fx-38.0.0.ebuild
new file mode 100644
index 000000000000..e2ba504bfc62
--- /dev/null
+++ b/app-misc/fx/fx-38.0.0.ebuild
@@ -0,0 +1,39 @@
+# Copyright 2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit go-module shell-completion
+
+DESCRIPTION=" Terminal JSON viewer & processor"
+HOMEPAGE="https://fx.wtf/ https://github.com/antonmedv/fx";
+SRC_URI="https://github.com/antonmedv/fx/archive/${PV}.tar.gz -> ${P}.tar.gz"
+SRC_URI+=" 
https://dev.gentoo.org/~arthurzam/distfiles/app-misc/${PN}/${P}-deps.tar.xz";
+
+LICENSE="MIT"
+# Dependent licenses
+LICENSE+=" Apache-2.0 BSD BSD-2 ISC MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+src_compile() {
+       ego build -o fx .
+
+       mkdir "${T}/comp"
+       ./fx --comp bash > "${T}/comp/fx" || die
+       ./fx --comp zsh > "${T}/comp/_fx" || die
+       ./fx --comp fish > "${T}/comp/fx.fish" || die
+}
+
+src_test() {
+       ego test ./...
+}
+
+src_install() {
+       dobin fx
+       dodoc README.md
+
+       dobashcomp "${T}/comp/fx"
+       dozshcomp "${T}/comp/_fx"
+       dofishcomp "${T}/comp/fx.fish"
+}

Reply via email to